Skip to main content
Version: V4.0

Booking Management API


Get Amenity Type List

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
amenity_type_idStringBodyAmenity type ID
amenity_type_nameStringBodyAmenity type name
is_publicBooleanBodyWhether the device is public or not?
true: yes
false: no

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_amenity_type_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724816274618,
"result": [
{
"amenity_type_id": "ax9a621c1ae77040d697bd2134700f57e",
"amenity_type_name": "test",
"is_public": true
}
]
}

Failure Return Example

See Failure Return Example



Get Amenity Type Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
amenity_type_idStringBodyYesAmenity type ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
amenity_type_nameStringBodyAmenity type name
is_publicBooleanBodyWhether the device is public or not?
true: yes
false: no

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_amenity_type_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_type_id": "ax9a621c1ae77040d697bd2134700f57e"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724816274618,
"result": {
"amenity_type_name": "test",
"is_public": true
}
}

Failure Return Example

See Failure Return Example



Create Amenity Type Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
amenity_type_nameStringBodyYesAmenity type name
is_publicBooleanBodyYesWhether the device is public or not?
true: yes
false: no

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
amenity_type_idStringBodyAmenity type ID

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "create_amenity_type_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_type_name": "test",
"is_public": true
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea"
}
}

Failure Return Example

See Failure Return Example



Update Amenity Type Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
amenity_type_idStringBodyYesAmenity type ID
amenity_type_nameStringBodyYesAmenity type name
is_publicBooleanBodyYesWhether the device is public or not?
true: yes
false: no

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_amenity_type_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea",
"amenity_type_name": "test",
"is_public": true
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Delete Amenity Type Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
amenity_type_idStringBodyYesAmenity type ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_amenity_type_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Get Amenity List

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
amenity_idStringBodyAmenity ID
amenity_nameStringBodyAmenity name
amenity_type_idStringBodyAmenity type ID
amenity_type_nameStringBodyAmenity type name
amenity_descriptionStringBodyAmenity description
amenity_picture_urlStringBodyAmenity picture URL
devices[]Object<device>BodyDevice information
enableBooleanBodyWhether the amenity is enable or not?
true: enable
false: disable
contactStringBodyContact
contact_informationStringBodyContact information
start_timeStringBodyStart time, UTC
finish_timeStringBodyFinish time, UTC
available_days[]StringBodyAvailable days
maximum_durationIntegerBodyMaximum duration (min)
maximum_advanceIntegerBodyMaximum advance (d)
maximum_reservationIntegerBodyMaximum reservation
maximum_password_countIntegerBodyMaximum password count
require_approvalBooleanBodyWhether the amenity requires approval or not?
true: require
false: not require
allow_guest_bookingBooleanBodyWhether the guest allowed booking or not?
true: allowed
false: not allowed
fee_typeStringBodyFee type, time or people or time and people
feeStringBodyFee

device description

Parameter NameTypeLocationDescription
macStringBodyMAC

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_amenity_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea",
"amenity_type_name": "test",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"devices": [
{
"mac": "C10519082089"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true,
"allow_guest_booking": true,
"fee_type": "time",
"fee": "100"
}
]
}

Failure Return Example

See Failure Return Example



Get Amenity Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
amenity_idStringBodyYesAmenity ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
amenity_nameStringBodyAmenity name
amenity_type_idStringBodyAmenity type ID
amenity_type_nameStringBodyAmenity type name
amenity_descriptionStringBodyAmenity description
amenity_picture_urlStringBodyAmenity picture URL
devices[]Object<device>BodyDevice information
enableBooleanBodyWhether the amenity is enable or not?
true: enable
false: disable
contactStringBodyContact
contact_informationStringBodyContact information
start_timeStringBodyStart time, UTC
finish_timeStringBodyFinish time, UTC
available_days[]StringBodyAvailable days
maximum_durationIntegerBodyMaximum duration (min)
maximum_advanceIntegerBodyMaximum advance (d)
maximum_reservationIntegerBodyMaximum reservation
maximum_password_countIntegerBodyMaximum password count
require_approvalBooleanBodyWhether the amenity requires approval or not?
true: require
false: not require
allow_guest_bookingBooleanBodyWhether the guest allowed booking or not?
true: allowed
false: not allowed
fee_typeStringBodyFee type, time or people or time and people
feeStringBodyFee

device description

Parameter NameTypeLocationDescription
macStringBodyMAC

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_id": "afa332e258aae1badbb27d31128f442dc"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"amenity_name": "Gym",
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea",
"amenity_type_name": "test",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"devices": [
{
"mac": "C10519082089"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true,
"allow_guest_booking": true,
"fee_type": "time",
"fee": "100"
}
}

Failure Return Example

See Failure Return Example



Get Creating Amenity List

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObjectBodyYesCommand parameter

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
devices[]Object<device>BodyDevice information

device description

Parameter NameTypeLocationDescription
macStringBodyMAC
device_nameStringBodyDevice name

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_creating_amenity_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"devices": [
{
"mac": "C10519082089",
"device_name": "device"
}
]
}
}

Failure Return Example

See Failure Return Example



Create Amenity Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
amenity_nameStringBodyYesAmenity name
amenity_type_idStringBodyYesAmenity type ID
amenity_descriptionStringBodyYesAmenity description
amenity_picture_urlStringBodyYesAmenity picture URL
devices[]Object<device>BodyYesDevice information
enableBooleanBodyYesWhether the amenity is enable or not?
true: enable
false: disable
contactStringBodyYesContact
contact_informationStringBodyYesContact information
start_timeStringBodyYesStart time, UTC
finish_timeStringBodyYesFinish time, UTC
available_days[]StringBodyYesAvailable days
maximum_durationIntegerBodyYesMaximum duration (min)
maximum_advanceIntegerBodyYesMaximum advance (d)
maximum_reservationIntegerBodyYesMaximum reservation
maximum_password_countIntegerBodyYesMaximum password count
require_approvalBooleanBodyYesWhether the amenity requires approval or not?
true: require
false: not require
allow_guest_bookingBooleanBodyYesWhether the guest allowed booking or not?
true: allowed
false: not allowed
fee_typeStringBodyYesFee type, time or people or time and people
feeStringBodyYesFee

device description

Parameter NameTypeLocationRequiredDescription
macStringBodyYesMAC

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
amenity_idStringBodyAmenity ID

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "create_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_name": "Gym",
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"devices": [
{
"mac": "C10519082089"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true,
"allow_guest_booking": true,
"fee_type": "time",
"fee": "100"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"amenity_id": "abafa332e258aae1badbb27d31128f442"
}
}

Failure Return Example

See Failure Return Example



Update Amenity Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
amenity_idStringBodyYesAmenity ID
amenity_type_idStringBodyYesAmenity type ID
amenity_nameStringBodyYesAmenity name
amenity_descriptionStringBodyYesAmenity description
amenity_picture_urlStringBodyYesAmenity picture URL
devices[]Object<device>BodyYesDevice information
enableBooleanBodyYesWhether the amenity is enable or not?
true: enable
false: disable
contactStringBodyYesContact
contact_informationStringBodyYesContact information
start_timeStringBodyYesStart time, UTC
finish_timeStringBodyYesFinish time, UTC
available_days[]StringBodyYesAvailable days
maximum_durationIntegerBodyYesMaximum duration (min)
maximum_advanceIntegerBodyYesMaximum advance (d)
maximum_reservationIntegerBodyYesMaximum reservation
maximum_password_countIntegerBodyYesMaximum password count
require_approvalBooleanBodyYesWhether the amenity requires approval or not?
true: require
false: not require
allow_guest_bookingBooleanBodyYesWhether the guest allowed booking or not?
true: allowed
false: not allowed
fee_typeStringBodyYesFee type, time or people or time and people
feeStringBodyYesFee

device description

Parameter NameTypeLocationRequiredDescription
macStringBodyYesMAC

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_id": "abafa332e258aae1badbb27d31128f442",
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea",
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"devices": [
{
"mac": "C10519082089"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true,
"allow_guest_booking": true,
"fee_type": "time",
"fee": "100"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Delete Amenity Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
amenity_idStringBodyYesAmenity ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_id": "a8b5a73f8dd84abaa94dcs248be49b0d1"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Enable Amenity

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
amenity_idStringBodyYesAmenity ID
enableBooleanBodyYesWhether the amenity is enable or not?
true: enable
false: disable

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "enable_amenity",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"enable": true
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Get Booking List

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
residence_idStringBodyResidence ID
booking_idStringBodyBooking ID
amenity_idStringBodyAmenity ID
amenity_nameStringBodyAmenity name
amenity_type_idStringBodyAmenity type ID
amenity_type_nameStringBodyAmenity type name
start_timeStringBodyStart time, UTC
finish_timeStringBodyFinish time, UTC
stateStringBodyState, pending or rejected or canceled or success
is_expiredBooleanBodyWhether the booking is expired or not?
true: yes
false: no
pin_codeStringBodyPIN code
qr_code_urlStringBodyQR code URL
created_timeStringBodyCreated time, UTC
guest_idStringBodyGuest ID
member_idStringBodyMember ID
numberIntegerBodyNumber of people

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_booking_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"residence_id": "rm31adc223cc4b3bedb6bd4742dedcfa5",
"booking_id": "bfa332e258aae1badbb27d31128f442d1",
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_type_id": "ax9a621c1ae77040d697bd2134700f57e",
"amenity_type_name": "test",
"start_time": "2025-05-02 13:14:15",
"finish_time": "2025-05-02 15:14:15",
"state": "pending",
"is_expired": true,
"pin_code": "123456",
"qr_code_url": "https://test.akubela.com/h.png",
"created_time": "2025-05-01 13:32:45",
"guest_id": "grm31adc223cc4b3bedb6bd4742dedcfa",
"member_id": "",
"number": 1
}
]
}

Failure Return Example

See Failure Return Example



Get Booking Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
booking_idStringBodyYesBooking ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
amenity_idStringBodyAmenity ID
amenity_nameStringBodyAmenity name
amenity_type_idStringBodyAmenity type ID
amenity_type_nameStringBodyAmenity type name
start_timeStringBodyStart time, UTC
finish_timeStringBodyFinish time, UTC
stateStringBodyState, pending or rejected or canceled or success
is_expiredBooleanBodyWhether the booking is expired or not?
true: yes
false: no
pin_codeStringBodyPIN code
qr_code_urlStringBodyQR code URL
created_timeStringBodyCreated time, UTC
guest_nameStringBodyGuest name
member_idStringBodyMember ID
numberIntegerBodyNumber of people

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"booking_id": "b31adc223cc4b3bedb6bd4742dedcfa52"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_type_id": "ax9a621c1ae77040d697bd2134700f57e",
"amenity_type_name": "test",
"start_time": "2025-05-02 13:14:15",
"finish_time": "2025-05-02 15:14:15",
"state": "pending",
"is_expired": true,
"pin_code": "123456",
"qr_code_url": "https://test.akubela.com/h.png",
"created_time": "2025-05-01 13:32:45",
"guest_name": "dom",
"member_id": "",
"number": 1
}
}

Failure Return Example

See Failure Return Example



Update Booking Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
booking_idStringBodyYesBooking ID
stateStringBodyYesState, rejected or success

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"booking_id": "bfa332e258aae1badbb27d31128f442dc",
"state": "rejected"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Delete Booking Information

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
booking_idStringBodyYesBooking ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"booking_id": "b8b5a73f8dd84abaa94dcs248be49b0d1"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Get Member Booking List

Request URL

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index
member_idStringBodyYesMember ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
residence_idStringBodyResidence ID
booking_idStringBodyBooking ID
amenity_idStringBodyAmenity ID
amenity_nameStringBodyAmenity name
amenity_type_idStringBodyAmenity type ID
amenity_type_nameStringBodyAmenity type name
start_timeStringBodyStart time, UTC
finish_timeStringBodyFinish time, UTC
stateStringBodyState, pending or rejected or canceled or success
is_expiredBooleanBodyWhether the booking is expired or not?
true: yes
false: no
pin_codeStringBodyPIN code
qr_code_urlStringBodyQR code URL
created_timeStringBodyCreated time, UTC
numberIntegerBodyNumber of people

Request Example

POST /api/v1.0/invoke/open-ability/method/hotel-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_member_booking_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"member_id": "mgrm31adc223cc4b3bedb6bd4742dedcf"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"residence_id": "rm31adc223cc4b3bedb6bd4742dedcfa5",
"booking_id": "bfa332e258aae1badbb27d31128f442d1",
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_type_id": "ax9a621c1ae77040d697bd2134700f57e",
"amenity_type_name": "test",
"start_time": "2025-05-02 13:14:15",
"finish_time": "2025-05-02 15:14:15",
"state": "pending",
"is_expired": true,
"pin_code": "123456",
"qr_code_url": "https://test.akubela.com/h.png",
"created_time": "2025-05-01 13:32:45",
"number": 1
}
]
}

Failure Return Example

See Failure Return Example